# 13. Mutare: creează „Farm”

Creează „Ferma”.

{% hint style="info" %}
Este posibil să legați identificatorul unic al propriei „Ferme” prin `externalKey` atributul. Atributul este opțional.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutație CreateFarmSample {
  createFarm(input:{
    nume: "Ferma Mutation"
    externalKey: "<identificator_terț>"
  } ) {
    uuid
    userUuid
    nume
    farmOwnership
    externalKey
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatia-api/prezentarea-generala-a-solicitarilor-api-geopard/13.-mutare-creeaza-farm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
